Bug 445594 - Review Request: geeqie - Image browser and viewer
Review Request: geeqie - Image browser and viewer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
: 456514 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 16:49 EDT by Michael Schwendt
Modified: 2008-07-24 06:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-08 14:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-05-07 16:49:24 EDT
Spec URL: http://mschwendt.fedorapeople.org/gqview/geeqie.spec
SRPM URL: http://mschwendt.fedorapeople.org/gqview/geeqie-1.0-0.3.alpha1.src.rpm

Description:
Geeqie has been forked from the GQview project with the goal of picking up
development and integrating patches. It is an image viewer for browsing
through graphics files. Its many features include single click file
viewing, support for external editors, previewing images using thumbnails,
and zoom.

*** This software is currently in alpha state ***

The point of adding it to the Fedora package collection is in
evaluating it and replacing the old GQview 2.0.4 eventually.
GQview unstable development has stalled at 2.1.5 in 2006.
Comment 1 Dan Horák 2008-05-08 03:09:36 EDT
OK	source files match upstream:
	    1feeb974fc5d62b3ad055f11fed224588cf8cd9d  geeqie-1.0alpha1.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
BAD	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
BAD	rpmlint is silent.
BAD	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
N/A	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK*	scriptlets are present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file is installed

- the disttag is missing from Release
- ChangeLog is not UTF-8 encoded, maybe upstream could do it
geeqie.x86_64: W: file-not-utf8 /usr/share/doc/geeqie-1.0alpha1/ChangeLog
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
- the scriptlets doesn't follow the guidelines
(http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef)
- the path should be omitted and also the R(post,postun):desktop-file-utils
should not be present
- please add a note (here or into the spec file) about the source and purpose of
the print-pagesize patch
Comment 2 Michael Schwendt 2008-05-08 04:17:52 EDT
dist-tag is not mandatory (and not appropriate for all packages)
but I've added it for this simple pkg

Instead of converting the ChangeLog I've deleted it,
as it's a low-level svn commit log with limited relevance.

Spec URL: http://mschwendt.fedorapeople.org/gqview/geeqie.spec
SRPM URL: http://mschwendt.fedorapeople.org/gqview/geeqie-1.0-0.4.alpha1.src.rpm
Comment 3 Dan Horák 2008-05-08 04:30:31 EDT
all issues are fixed, so this package is APPROVED
Comment 4 Michael Schwendt 2008-05-08 05:02:00 EDT
Thank you!

New Package CVS Request
=======================
Package Name: geeqie
Short Description: Image browser and viewer
Owners: mschwendt
Branches: F-9 F-8
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-08 13:46:57 EDT
cvs done.
Comment 6 Dan Horák 2008-07-24 06:37:06 EDT
*** Bug 456514 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.